org.apache.xmlbeans.impl.inst2xsd

## Class Inst2Xsd

- java.lang.Object
- - org.apache.xmlbeans.impl.inst2xsd.Inst2Xsd

    public class Inst2Xsd
    extends Object

This class generates a set of XMLSchemas from an instance XML document. How it works: - first: pass through all the instances, building a TypeSystemHolder structure - second: serialize the TypeSystemHolder structure into SchemaDocuments

### Method Summary

All Methods Static Methods Concrete Methods
`static SchemaDocument[]` `inst2xsd(Reader[] instReaders, Inst2XsdOptions options)`
`static SchemaDocument[]` `inst2xsd(XmlObject[] instances, Inst2XsdOptions options)`
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### main

    public static void main(String[] args)

#### inst2xsd

    public static SchemaDocument[] inst2xsd(Reader[] instReaders,
                                            Inst2XsdOptions options)
                                     throws IOException,
                                            XmlException

Throws:
  `IOException`
  `XmlException`

#### inst2xsd

    public static SchemaDocument[] inst2xsd(XmlObject[] instances,
                                            Inst2XsdOptions options)